View Issue Details

IDProjectCategoryView StatusLast Update
0024632mantisbttaggingpublic2018-09-04 01:23
ReportermnewnhamAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.15.0 
Target Version2.17.0Fixed in Version2.17.0 
Summary0024632: Tag cannot be selected if a tag containing the text of that tag has already been selected
Description

If the text of one tag is contained in a second tag, and the second tag is already selected, then the first cannot be selected. Let us take for example, two tags:

  1. database
  2. database-management

If creating an issue, and the two tags are selected in the order 1,2 - the tagging system works fine. If tag 2 is selected first, then tag 1 cannot be selected, even though it appears on the list.

Steps To Reproduce
  1. Create 2 tags: database, database-management.

  2. Create a new issue.

  3. Attempt to add tags in the following order:

a. database-management
b. database

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 71684bae

2018-07-25 15:55:07

atrol

Details Diff
Fix tag checking when adding tags on report bug page

Fixes 0024632
Affected Issues
0024632
mod - js/common.js Diff File

Issue History

Date Modified Username Field Change
2018-07-25 11:22 mnewnham New Issue
2018-07-25 15:59 atrol Assigned To => atrol
2018-07-25 15:59 atrol Status new => assigned
2018-07-25 15:59 atrol Note Added: 0060322
2018-07-25 15:59 atrol Target Version => 2.16.0
2018-07-30 05:32 atrol Target Version 2.16.0 => 2.17.0
2018-07-31 05:46 atrol Changeset attached => MantisBT master 71684bae
2018-07-31 05:46 atrol Status assigned => resolved
2018-07-31 05:46 atrol Resolution open => fixed
2018-07-31 05:46 atrol Fixed in Version => 2.17.0
2018-09-04 01:23 vboctor Status resolved => closed